/*
 * @Author: vegawong
 * @Date:   2015-12-17 14:58:40
 * @Last Modified by:   vegawong
 * @Last Modified time: 2015-12-17 15:07:40
 */

'use strict';

var lazyLoadFunc = require('./lazyload');



module.exports = {
    lazyLoad: lazyLoadFunc,
    load: function($el, src, callback) {
        var imgIntance = new Image();
        imgIntance.src = src;
        imgIntance.onload = function() {
            $el.attr('src', src);
            $el[0].removeAttribute('data-src');
            if (callback) {
                callback(imgIntance);
            }
        }
    }
};
