/*
    单选框组
*/
'use strict';

require('./style.less');

var $ = require('jquery');
var stapes = require('stapes');
var util = require('../../../lib/util');

/*$(function() {
    if (util.ie <= 8) {
        $('div.cui-radioContainer').find('label i').append($('<span>'));
        $('div.cui-radioContainer').find('label i, label i span').css('behavior', 'url(/PIE.htc)');
        $('div.cui-radioContainer').find('input').css({
            visibility: 'visible',
            outline: 'none'
        });
    }

    var radios = $('div.cui-radioContainer');
    radios.map(function(i, v) {
        var hash = new Date().getTime() + Math.random();
        $(v).find('input').attr('id', hash);
        $(v).find('label').attr('for', hash);

        if ($(v).find('input').attr('checked')) {
            $(v).parent().attr('data-val', $(v).find('input').val());
        }
    }, this);

    $('div.cui-radioContainer input').on('click', function() {
        var val = $(this).val();
        $(this).parent().parent().attr('data-val', val);

        //$(this).parent().siblings().find('css3-container').hide();
    });
});

module.exports = {
    getValue: function(ref) {
        var radioGroup = $('div.cui-radioGroupContainer[data-ref=' + ref + ']');
        return radioGroup.attr('data-val');
    },

    setValue: function(ref, val) {
        var radioGroup = $('div.cui-radioGroupContainer[data-ref=' + ref + ']');
        radioGroup.find('div.cui-radioContainer').map(function(i, v) {
            if ($(v).find('input').val() === val) {
                $(v).find('input').click();
            }
        }, this);
    }
};*/


var radioGroup = stapes.subclass({
    constructor: function($el) {
        var self = this;
        if (!$el) {
            return;
        }
        self.$el = $el;
        self.val = '';
        self.init();
    },
    init: function() {
        var self = this;

        if (util.ie <= 8) {
            self.$el.find('.cui-radioContainer label i').append($('<span>'));
            self.$el.find('.cui-radioContainer label i, .cui-radioContainer label i span').css('behavior', 'url(/PIE.htc)');
            self.$el.find('.cui-radioContainer input').css({
                visibility: 'visible',
                outline: 'none'
            });
        }

        var radios = self.$el.find('.cui-radioContainer');
        radios.map(function(i, v) {
            var hash = new Date().getTime() + Math.random();

            if ($(v).find('input').attr('id') && $(v).find('label').attr('for') && $(v).find('input').attr('id') == $(v).find('label').attr('for')){
                hash = $(v).find('input').attr('id')
            }

            $(v).find('input').attr('id', hash);
            $(v).find('label').attr('for', hash);

            if ($(v).find('input').attr('checked')) {
                self.val = $(v).find('input').val();
            }
        }, this);

        self.watch();
    },
    watch: function() {
        var self = this;

        self.$el.find('input').on('click', function() {
            var val = $(this).val();
            self.val = val;
        });
    },
    getValue: function() {
        var self = this;
        return self.val;
    },
    setValue: function(val) {
        var self = this;
        self.$el.find('.cui-radioContainer').map(function(i, v) {
            if ($(v).find('input').val() === val) {
                $(v).find('input').click();
            }
        }, this);
    }
});

module.exports = radioGroup;
